Name:          libaio
Version:       0.3.111
Release:       1mamba
Summary:       Kernel Asynchronous I/O (AIO) Support for Linux
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://lse.sourceforge.net/io/aio.html
Source:        http://ftp.de.debian.org/debian/pool/main/liba/libaio/libaio_%{version}.orig.tar.gz
#Source:        http://www.kernel.org/pub/linux/kernel/people/bcrl/aio/libaio-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
AIO enables even a single application thread to overlap I/O operations with other processing, by providing an interface for submitting one or more I/O requests in one system call (io_submit()) without waiting for completion, and a separate interface (io_getevents()) to reap completed I/O operations associated with a given completion group.

Support for kernel AIO has been included in the 2.6 Linux kernel.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}

%description devel
AIO enables even a single application thread to overlap I/O operations with other processing, by providing an interface for submitting one or more I/O requests in one system call (io_submit()) without waiting for completion, and a separate interface (io_getevents()) to reap completed I/O operations associated with a given completion group.

Support for kernel AIO has been included in the 2.6 Linux kernel.

This package contains static libraries and header files need for development.

%prep

%setup -q

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libaio.so.*
%doc COPYING ChangeLog TODO

%files devel
%defattr(-,root,root)
%{_includedir}/libaio.h
%{_libdir}/libaio.a
%{_libdir}/libaio.so

%changelog
* Fri May 04 2018 Automatic Build System <autodist@mambasoft.it> 0.3.111-1mamba
- automatic version update by autodist

* Wed Nov 12 2014 Automatic Build System <autodist@mambasoft.it> 0.3.110-1mamba
- automatic version update by autodist

* Tue Oct 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.109-1mamba
- update to 0.3.109

* Fri Mar 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.92-1mamba
- package created by autospec
